:root {
    --cor-letra-branca: #fff;
    --cor-letra-black: #000;
    --cor-fundo-1: #a65252;

    --BG-1: url('../assets/bg1.jpg');
    --BG-2: url('../assets/BG3.jpg');
    --BG-3: url('');
    --BG-4: url('../assets/bg4.jpg');
    --BG-5: url('../assets/bg5.jpg');
    --BG-6: url('../assets/bg6.jpg');
    --BG-7: url('../assets/bg7.jpg');
}

@font-face {
    font-family: 'bold';
    src: url('../fonts/font-bold.otf') format('opentype');
}

@font-face {
    font-family: 'medium';
    src: url('../fonts/font-medium.otf') format('opentype');
}

@font-face {
    font-family: 'regular';
    src: url('../fonts/font-regular.otf') format('opentype');
}

html {
    display: flex;
    justify-content: center;
    scroll-behavior: smooth;
    background-color: #000000;
}

body {
    color: var(--color-letra);
    max-width: 1800px;
    color: white;
}

img {
    user-drag: none;
    -webkit-user-drag: none;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

.tam-p {
    font-size: 1.2em;
}

/* 1 Feature */

#feature-1 {
    background-image: var(--BG-1);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    padding: 2em 0;
}

.container1-bg1 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
}

.container2-bg1 {
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 2rem;
    align-items: baseline;
}

.p1 {
    background-color: white;
    font-size: larger;
    color: rgb(45, 171, 255);
    text-transform: uppercase;
    font-weight: bold;
    padding: 5px 10px;
    font-size: 2em;
}

.p2 {
    color: white;
    font-size: 27px;
}

.container3-bg1 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
}

.p3 {
    font-size: 2em;
    font-weight: bold;
}

.p4 {
    font-size: 20px;
}

.container-pai {
    display: flex;
}

.footer-bg1 {
    display: flex;
    align-items: center;
    gap: 2rem;
    justify-content: space-between;
    text-align: center;
}

.footer-bg1 p {
    max-width: 100%;
    align-items: center;
    justify-content: center;
    display: flex;
    text-align: center;
}

.btn-bg1 {
    display: flex;
    gap: 2em;
}

.btn-bg1 button {
    color: white;
    padding: 5px 10px;
    font-size: 1.4em;
    background: transparent;
    border: 1px solid white;
    transition: 0.5s ease-out;
}

.btn-bg1 a {
    text-decoration: none;
    color: rgb(255, 255, 255);
}

.btn-bg1 button:hover {
    background-color: #ffffff;
    color: rgb(0, 0, 0);

}

.a-bg1:hover {
    color: #000;
}

img {
    max-width: 100%;
}

.intel-processador {
    transition: 0.4s ease-out;
}

.intel-processador:hover {
    transform: translateY(-10px);
    transition: transform 0.9s ease;
}

@media screen and (max-width: 839px) {

    p {
        max-width: 100%;
    }

    .p1,
    .p2,
    .p3,
    .p4 {
        font-size: 1.4em;
    }

    #feature-1 {
        padding: 2em;
        flex-direction: column;
    }

    .container-pai {
        flex-direction: column;
    }

    .footer-bg1 {
        flex-direction: column;
    }
}

/* 2 Feature */

#feature-2 {
    width: 100%;
    height: auto;
    background-image: var(--BG-2);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    margin-top: -8px;
}

.title-bg2 {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem;
}

.title-bg2 p {
    font-size: 2em;
    font-weight: bold;
    text-transform: uppercase;
}

.container-bg2 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2rem 6rem;
}

.asset-bg2 {
    display: flex;
    justify-content: center;
    align-items: center;
}

.asset-bg2 img {
    max-width: 100%;
}

.arrow {
    display: flex;
    align-items: center;
    justify-content: center;
}

.arrow p {
    font-size: 4em;
    color: gray;
    font-weight: bold;
}

.text-bg2 p {
    font-size: 1.4rem;
}

.text2-bg2 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 2rem;
}

.text2-bg2 p {
    font-size: 1.2em;
}

@media screen and (max-width: 839px) {

    #feature-2 {
        padding: 2rem;
    }

    .container-bg2 {
        flex-direction: column;
        padding: 0;
    }
}

/* Feature 3 */

#feature-3 {
    width: 100%;
    height: auto;
    background-image: var(--BG-4);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    margin-top: -8px;
}

.container-pai3 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 4rem 4rem 0rem 4rem;
    gap: 4rem;
}

.title-bg4 p {
    color: white;
    font-weight: bolder;
    font-size: larger;
    text-align: center;
}


.container-intel {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    max-width: 600px;
}

.container-bg3 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2px;
    background: transparent;
    border: 2px solid transparent;
    grid-auto-flow: row dense;
}

.header-bg3 {
    background: rgb(0, 199, 253);
    font-weight: bold;
    text-align: center;
    padding: 10px;
}

.item-1 {
    background: rgba(196, 214, 249, 0.479);
    color: white;
    padding: 10px;
    text-align: center;
    font-weight: bold;
}

.item-2 {
    background: rgba(196, 214, 249, 0.479);
    color: white;
    padding: 10px;
    text-align: center;
    font-weight: bold;
}

.container-14 .item-2 {
    display: grid;
    margin-top: 2px;
}

.container-14 {
    grid-column: 2;
    display: grid;
    margin-top: 1px;
}

/* Responsivo (mobile) */
@media (max-width: 768px) {
    .container {
        grid-template-columns: 1fr;
    }
}

.header {
    background: rgb(0, 199, 253);
    font-weight: bold;
    text-align: center;
    padding: 12px;
    margin-bottom: 2px;
}

.item {
    background: rgb(196, 214, 249, 0.479);
    padding: 12px;
    text-align: center;
    margin-bottom: 2px;
    font-weight: bold;
}

.item-arc {
    background: rgb(196, 214, 249, 0.479);
    padding: 12px 7.4rem;
    text-align: center;
    margin-bottom: 2px;
    font-weight: bold;
}

/* Grid de duas colunas */
.grid-2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2px;
    width: 100%;
    margin-top: 10px;
}

.grid-2 div {
    display: flex;
    flex-direction: column;
}

.title-bg4 img {
    margin-top: 10rem;
    transition: 0.4s ease-out;

}

.title-bg4 img:hover {
    transform: translateY(-10px);
    transition: transform 0.9s ease;
}

.title-bg5 {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
}

.gpus-bg {
    display: flex;
    max-width: 50%;
}

.arc-bg {
    max-width: 50%;
    margin-top: 4rem;
    transition: 0.4s ease-out;
}

.arc-bg:hover {
    transform: translateY(-10px);
    transition: transform 0.9s ease;
}

@media screen and (max-width: 839px) {

    #feature-3 {
        padding: 2em;
        flex-direction: column;
    }

    .container-pai3 {
        flex-direction: column;
        padding: 0rem;
    }

    .title-bg5 {
        max-width: 100%;
        flex-direction: column-reverse;
    }

    .title-bg5 img {
        max-width: 100%;
    }

}

/* Feature 4 */

#feature-4 {
    width: 100%;
    height: auto;
    background-image: var(--BG-5);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    margin-top: -8px;
}

.container-pai4 {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}

.title-bg6 {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 3rem;
}

.resumo {
    font-size: 28px;
    font-weight: bold;
    margin-bottom: 10px;
}

.resumo2 {
    font-size: 16px;
    margin-bottom: 30px;
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;
}

.title-bg7 {
    text-align: center;
    padding: 15px 15px;
    color: #fff;
}

.custom-table {
    width: 80%;
    /* tabela centralizada com largura controlada */
    margin: 0 auto;
    border-collapse: collapse;
    font-family: Arial, sans-serif;
    color: #fff;
}

.custom-table tr td {
    text-align: center;
    border: 2px solid #fff;
    padding: 20px;
    vertical-align: top;
    font-size: 2rem;
    line-height: 2;
    text-align: left;
    width: 30%;
    font-size: larger;
}

@media screen and (max-width: 839px) {

    #feature-4 {
        padding: 2em;
        flex-direction: column;
    }


    .container-pai4 {
        flex-direction: column;
        padding: 0rem;
    }

    .title-bg6 {
        flex-direction: column-reverse;
    }

    .title-bg7 td tr {
        flex-direction: column;
    }

}